package org.jeecg.modules.stm.audit.service;

import org.jeecg.modules.stm.audit.entity.AuditCheckMethodItem;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 检查方法条目
 * @Author: jeecg-boot
 * @Date:   2024-10-10
 * @Version: V1.0
 */
public interface IAuditCheckMethodItemService extends IService<AuditCheckMethodItem> {
    List<Map<String,Object>> getAllCheckMethodByItem(AuditCheckMethodItem item);
    List<Map<String,Object>> getAllCheckMethod(AuditCheckMethodItem item);
    List<Map<String,Object>> getAllCheckMethodFiles(AuditCheckMethodItem item);
    Map<Integer,Integer> getAllCheckItemCount();
}
